#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals
import re
import os
from glob import glob
from pathlib import Path

import sys
sys.path.append('.')

AUTHOR = 'wowlet'
SITENAME = 'WOWlet'
SITEURL = 'http://localhost:8000/'

SHORT_SITENAME = "WOWlet"
LONG_SITENAME = "WOWlet: a free Wownero desktop wallet"

PATH = 'content'

TIMEZONE = 'Europe/Amsterdam'
STATIC_PATHS = ['downloads', 'images']

DEFAULT_LANG = 'en'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

DEFAULT_PAGINATION = False
THEME = 'themes/wowlet'
DISABLE_SEARCH = True
DISPLAY_PAGES_ON_MENU = False
USE_FOLDER_AS_CATEGORY = True
JINJA_ENVIRONMENT = {'trim_blocks': True, 'lstrip_blocks': True}

MARKDOWN = {
    'extension_configs': {
        'markdown.extensions.codehilite': {'css_class': 'highlight'},
        'markdown.extensions.extra': {},
        'markdown.extensions.meta': {},
        'markdown.extensions.toc': {},
    },
    'output_format': 'html5',
}

ARTICLE_URL = 'posts/{date:%Y}/{date:%b}/{date:%d}/{slug}/'
ARTICLE_SAVE_AS = 'posts/{date:%Y}/{date:%b}/{date:%d}/{slug}/index.html'
PAGE_URL = '{slug}/'
PAGE_SAVE_AS = '{slug}/index.html'
CATEGORY_URL = '{slug}/'
CATEGORY_SAVE_AS = '{slug}/index.html'


def ARTICLE_FIND_ENDSWITH(articles, path):
    for a in articles:
        if a.source_path.endswith(path):
            return a

# Uncomment following line if you want document-relative URLs when developing
# RELATIVE_URLS = True
