let gitea_api_wowlet = 'https://git.wownero.com/api/v1/repos/wowlet/wowlet/releases?draft=false&pre-release=false&limit=1';
let dog_running = false;

function bytesForHuman(bytes, decimals = 2) {
  let units = ['B', 'KB', 'MB', 'GB', 'TB', 'PB']

  let i = 0

  for (i; bytes > 1024; i++) {
      bytes /= 1024;
  }

  return parseFloat(bytes.toFixed(decimals)) + ' ' + units[i]
}

function getVersion(cb) {
  let _data = {
    "linux": {},
    "macos": {},
    "windows": {}
  }

  $.get(gitea_api_wowlet, function(data) {
    let item = data[0];

    _data['name'] = item.tag_name;
    _data['published_at'] = item.published_at.substring(0, item.published_at.indexOf('T'));
    _data['gitea_api_wowlet'] = item.url;
    _data['body'] = item.body;

    item.assets.forEach(element => {
      let _item = {
        'name': element.name,
        'download': element.browser_download_url,
        'size': bytesForHuman(element.size)
      }

      if (_item.name.indexOf('linux') >= 0) {
        _data['linux'] = _item
      } else if (_item.name.indexOf('windows') >= 0) {
        _data['windows'] = _item
      } else {
        _data['macos'] = _item;
      }
    });

    cb(_data);
  });
}
